<template>
  <div>
    <div class="users-table md-layout-item md-medium-size-100 md-xsmall-size-100 md-size-100">
      <md-card class="md-card-plain">
        <md-card-content>
          <md-button class="md-button-primary" @click="openOtpModal()" v-if="!user.two_factor_enabled">Enable Google Authentication</md-button>
          <md-button class="md-button-primary" @click="openModalConfirm()" v-else>Disable  Google Authentication</md-button>
          <md-button class="md-button-primary" @click="openModalChangePassword()">Change Password</md-button>
        </md-card-content>
      </md-card>
    </div>
    <div>
      <IcoSetting></IcoSetting>

      <Bonus></Bonus>
    </div>
  </div>
</template>
<script>
import { mapState } from 'vuex';

import OtpModal from '../../common/components/Otp/OtpModal.vue';
import RemoveOtp from '../../common/components/Otp/RemoveOtp.vue';
import ChangePasswordModal from './Auth/Modal/ChangePasswordModal.vue';
import IcoSetting from './IcoSetting.vue';
import Bonus from './Bonus.vue';

export default {
  components: {
    IcoSetting,
    Bonus
  },
  methods: {
    openOtpModal () {
      this.$broadcast('open-modal', OtpModal);
    },
    openModalConfirm () {
      this.$broadcast('open-modal', RemoveOtp);
    },
    openModalChangePassword () {
      this.$broadcast('open-modal', ChangePasswordModal);
    },
  },
  computed: {
    ...mapState([
      'user',
    ]),
  },
  created () {
    this.$on(`requestChangePassword-confirm-otp-successful`, () => {
      this.$toasted.show(this.$t('messages.auth.changePassword.changePasswordSuccessful'), {
        theme: 'bubble',
        position: 'top-right',
        duration : 1000
      });

      setTimeout(() => {
        window.location.href = '/admin/login';
      }, 1000);
    });
  },
};
</script>

